#!/bin/sh

export ANDROID_NDK=/Applications/android-ndk-r7b
export ANDROID_SDK=/Applications/android-sdk-mac_x86

SYSROOT=${ANDROID_NDK}/platforms/android-8/arch-arm/

PREFIX=${ANDROID_NDK}/toolchains/arm-linux-androideabi-4.4.3/prebuilt/linux-x86/bin/arm-linux-androideabi-
export CC="${PREFIX}gcc --sysroot=$SYSROOT"
export CXX=${PREFIX}g++
export AS=${PREFIX}gcc
export LD=${PREFIX}gcc
export AR=${PREFIX}ar cru
export RANLIB=${PREFIX}ranlib
export STRIP=${PREFIX}strip
export OBJCOPY=${PREFIX}objcopy

export MACHDEP="--sysroot=$ANDROID_NDK/platforms/android-8/arch-arm -g -mandroid -mthumb-interwork"

export CFLAGS="${MACHDEP} -Os -Wall -mandroid -msoft-float -march=armv5te -mtune=xscale -I$ANDROID_NDK/platforms/android-8/arch-arm"

export CXXFLAGS="${CFLAGS}"

export LDFLAGS="${MACHDEP}"

echo "./configure --host=arm --prefix=/opt/android/3rd-android-4-armeabi"
